<div id="login" class="clearfix">
    <header class="header">
        <app-header></app-header>
    </header>
    <section class="section login">
        <div class="container">
            <div class="login-wrapper">
                <div class="signup-email" [hidden]="emailState">
                    <h2>Sign up</h2>
                    <form [formGroup]="signupForm" (ngSubmit)="onSubmit()">
                        <div class="form-group">
                            <div class="row">
                                <div class="col-6">
                                    <input type="text" formControlName="firstname" class="form-control" placeholder="First name" [ngClass]="{ 'is-invalid': submitted && f.firstname.errors }" />
                                    <div *ngIf="submitted && f.firstname.errors" class="invalid-feedback">
                                        <div *ngIf="f.firstname.errors.pattern">Sorry! No special characters or numbers</div>
                                        <div *ngIf="f.firstname.errors.required">Firstname is required</div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <input type="text" formControlName="lastname" class="form-control" placeholder="Last name" [ngClass]="{ 'is-invalid': submitted && f.lastname.errors }" />
                                    <div *ngIf="submitted && f.lastname.errors" class="invalid-feedback">
                                      <div *ngIf="f.lastname.errors.required">Firstname is required</div>
                                      <div *ngIf="f.lastname.errors.pattern">Sorry! No special characters or numbers</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="email" formControlName="email" placeholder="Work email address" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                            <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                                <div *ngIf="f.email.errors.required">Email is required</div>
                                <div *ngIf="f.email.errors.email"> Please enter a valid email address</div>
                            </div>
                        </div>
                        <div class="form-group text-center">
                            <button [disabled]="loading" class="btn btn-create">Get Start</button>
                        </div>
                    </form>
                </div>
                <div class="signup-complete" [hidden]="completeState">
                    <h2 class="title-complete">Complete your account<br><small>{{ f.email.value }}</small></h2>
                    <form [formGroup]="completeForm" (ngSubmit)="completeSubmit()">
                        <div class="form-group">
                            <custom-list formControlName="country" [multiple]="false" [(ngModel)]="singleSelect" [config]="config" [options]="options"></custom-list>
                            <div *ngIf="submitted && g.country.errors" class="invalid-feedback">
                                <div *ngIf="g.country.errors.required"> If user does not choose, Vietnam is choosen automatically.</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="password" formControlName="password" placeholder="Create a password" class="form-control" />
                            <div *ngIf="submitted && g.password.errors" class="invalid-feedback">
                                <div *ngIf="g.password.errors.required"> Password is required</div>
                                <div *ngIf="g.password.errors.min"> Too short. Use at least 8 characters</div>
                                <div *ngIf="g.password.errors.pattern">   Use at least 1 letter & number or symbol</div>
                            </div>
                        </div>
                        <h5 class="text-center">I want to: </h5>

                        <div class="btn-group" style="text-align: center; width: 100%">
                            <button type="button" class="btn btn-light" name="client" (click)="toggleClient()"> Hire for a project</button>
                            <button type="button" class="btn btn-light" name="freelancer" (click)="toggleFreelancer()">Work as a Freelancer</button>
                        </div>
                        <br><br>
                        <div class="form-group"  *ngIf="showFreelancer">
                            <input type="text" formControlName="username" placeholder="Username" class="form-control" />
                        </div>
                        <div class="form-group"  *ngIf="showFreelancer">
                            <re-captcha></re-captcha>
                        </div>
                        <div class="form-group">
                            <label>
                                <input type="checkbox" formControlName="promotionalEmailOptIn" placeholder="Type the letter below" checked/>
                                Yes! Send me genuinely useful emails every now and then to help me get the most out of Upwork.</label>
                        </div>
                        <div class="form-group">
                            <label>
                              <input type="checkbox" formControlName="termsAccepted" placeholder="Type the letter below"/>
                                Yes, I understand and agree to the Upwork Terms of Service, including the User Agreement and
                                Privacy Policy.
                            </label>
                        </div>

                        <div class="form-group text-center">
                            <button  class="btn btn-create">Next</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <footer class="footer">
        <p>&copy; 2019 Harvey Nash Vietnam</p>
        <p>Terms of Service</p>
        <p>Privacy Policy</p>
    </footer>
</div>
